//! LSTM Network.

#include "Network.h"

class EspRedLSTM: public Network {
public:
  EspRedLSTM(int entradas, int ocultas, int salidas, int celdas, int bloques) ;
  Network* newNetwork(int a,int b,int c){ 
    return new EspRedLSTM( InputsLSTM,  HiddenLSTM,  OutputsLSTM, CellsPerBlockLSTM,  MBlocksLSTM) ; }
  Network* clone(){ return new EspRedLSTM(InputsLSTM,  HiddenLSTM,  OutputsLSTM, CellsPerBlockLSTM,  MBlocksLSTM); }  
  void activate(std::vector<double> &input, 
		std::vector<double> &output);
  void growNeuron( Neuron * );
  void shrinkNeuron( Neuron *, int );
  void addNeuron();
  void removeNeuron(int sp);
  
  private :
	    int InputsLSTM;
  		int HiddenLSTM;
  		int OutputsLSTM;
  		int CellsPerBlockLSTM;
  		int MBlocksLSTM;
};
