/***************************************************************************
 *            FirstOrderCTRNN.h
 *
 *  Mon Apr  4 10:47:11 2005
 *  Copyright  2005  Ricardo A. Tellez	
 *  Email r_tellez@ouroboros(dot)org
 ****************************************************************************/

#include "Network.h"

class FirstOrderCTRNN : public Network {
public:
  FirstOrderCTRNN(int in, int hid, int out,int numSteps,double intStep);
  void activate(std::vector<double> &input, 
		std::vector<double> &output);
  Network* newNetwork(int in, int hid, int out){ 
    return new FirstOrderCTRNN(in, hid, out,220,0.1); }
  Network* clone(){ return new FirstOrderCTRNN(numInputs, hiddenUnits.size(), numOutputs,220,0.1); }
  void growNeuron( Neuron * );
  void shrinkNeuron( Neuron *, int );
  void addNeuron();
  void removeNeuron(int);
  
private:
  std::vector<double> hiddenPreviousState;
  double integrationTimeStep;				 // step of integration 
  int numberIntegrationSteps;				// number of steps of integration

// used to limit the values of the nets
	double weightHighLimit;
	double weightLowLimit;
	double thauHighLimit;
	double thauLowLimit;
	double thetaHighLimit;
	double thetaLowLimit;
 
};
