/***************************************************************************
 *            FirstOrderNOLDynamicCTRNN.h
 *
 *  Mon May  9 10:47:11 2005
 *  Copyright  2005  Ricardo A. Tellez	
 *  Email r_tellez@ouroboros(dot)org
 ****************************************************************************/

#include "Network.h"

class FirstOrderNOLDynamicCTRNN : public Network {
public:
  FirstOrderNOLDynamicCTRNN(int in, int hid, int out,double intStep);
  void activate(std::vector<double> &input, 
		std::vector<double> &output);
  Network* newNetwork(int in, int hid, int out){ 
    return new FirstOrderNOLDynamicCTRNN(in, hid, out,0.1); }
  Network* clone(){ return new FirstOrderNOLDynamicCTRNN(numInputs, hiddenUnits.size(), numOutputs,0.1); }
  void growNeuron( Neuron * );
  void shrinkNeuron( Neuron *, int );
  void addNeuron();
  void removeNeuron(int);
  
private:
  std::vector<double> hiddenPreviousState;
  double integrationTimeStep;				 // step of integration 

// used to limit the values of the nets
	double weightHighLimit;
	double weightLowLimit;
	double thauHighLimit;
	double thauLowLimit;
	double thetaHighLimit;
	double thetaLowLimit;
 
};
