#ifndef COMMAND_STRUCTURE_H
#define COMMAND_STRUCTURE_H


// command: specifies the type of command
// identifier: command ID
// value: data transmission
// flag: special command features
// filename: name of file must respect 8.3 format
// option: data necessary to process command correctly

struct BasicGetCommand {
    char            command;
    unsigned char   identifier;
};

struct BasicSetCommand {
    char            command;
    unsigned char   identifier;
    short           value;
};

struct FileCommand {
    char            command;
    unsigned char   flag;
    char            filename[12];
    unsigned short  option;           
};


struct BasicAnswer {
    char            command;
    unsigned char   identifier;
    short           value;
};

struct MultipleValueAnswer {
    short           value[1];
};

#endif // COMMAND_STRUCTURE_H


